/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Jaunty entity File
#ifndef _ELIFE_H
#define _ELIFE_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramčtres du life add
// TYPE : static
// p1 et p2 :  
// Autres : 

class eLife : public CEntity
{
   public:
   	eLife();
   	virtual ~eLife();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   
	   CSprite spr;
};
#endif
